function [z]=ip(x,y)
% inner product over the second dim of the input variables

if size(x,1)~=size(y,1), error('First dimension must be the same.'); end;
if size(x,3)~=size(y,2), error('Dimensions disagree.'); end;

[N,dx1,d]=size(x);
[N,d,dy2]=size(y);

z=zeros(N,dx1,dy2);
for i=1:dx1, for j=1:dy2, 
  z(:,i,j)= sum(squeeze(x(:,i,:)).*y(:,:,j),2); 
end; end;
