function X=mypinv(A,tol)

% X=mypinv(A,tol) computes the pinv() for the T matrices of size [N M]
% in A [T N M].
%
% see pinv()

if nargin<2, tol=0; end;

[T,N,M] = size(A);
A = permute(A,[2 3 1]);
X = zeros(M,N,T);
for i=1:size(A,3)
  X(:,:,i) = pinv(A(:,:,i),tol);
end
X = permute(X,[3 1 2]);
